<?php
session_start();
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Форум - Поиск');
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: Форум</div></div></div>';
echo'<div class="list-group-item media"><span class="label label-danger">Новые</span> <a href="newtheme.php">Темы</a> | <a href="newposts.php">Сообщения</a></br>';
if (isset($b)) {
echo'</br><span class="label label-danger">Мои</span> <a href="user_thems.php?id='.$b['id'].'">Темы</a> | <a href="user_posts.php?id='.$b['id'].'">Сообщения</a> | <a href="podpis.php">Наблюдаемые</a>';
}
echo'</div>';
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/forum"style="text-decoration:none; color:white;"> Форум</a> :: Поиск</div></div></div>';
echo '<div class="list-group-item media"><form action="?zx=1&search" method="POST">Что ищем? <br/><input class="form-control " type="text" name="text" placeholder="Запрос"><br/>Искать:<br/><select class="form-control " name="sear"><option value="1">В темах</option><option value="2">В сообщениях</option></select><br/> Сортировать:<br/><select class="form-control " name="order"><option value="1">По возрастанию</option><option value="2">По убыванию</option></select><br/> <input type="submit" class="btn btn-primary" name="search" value="Вперед"/></form></div>';
if(empty($_GET[zx]) or !empty($_POST['text'])){
unset($_SESSION['text']);
unset($_SESSION['sear']);
unset($_SESSION['order']);
}else{
$_POST['text']= $_SESSION['text'];
}
if (isset($_GET['search'])) {
$text = str_replace('%','',$_POST['text']);
$text = str_replace("'",'',$_POST['text']);
$text = str_replace('"','',$_POST['text']);
$text = str_replace('-','',$_POST['text']);
$text = check($text);
$_SESSION['text'] = $text;
$text = (!empty($_SESSION['text']) ? $_SESSION['text'] : NULL);
if (isset($_POST['sear'])) $sear = intval($_POST['sear']);
if (isset($_SESSION['sear'])) $sear = intval($_SESSION['sear']);

if (isset($_POST['order'])) $order = intval($_POST['order']);
if (isset($_SESSION['order'])) $order = intval($_SESSION['order']);
$_SESSION['sear'] = $sear;
$_SESSION['order'] = $order;
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: Результаты поиска </div></div></div>';

$ord = ($order == 1 ? 'DESC':'ASC');
if ($sear == 1) {
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_topic WHERE name LIKE '%$text%'");
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM forum_topic WHERE name LIKE '%$text%' ORDER BY last ".$ord." LIMIT $start,$num", [$id]);
if ($sql -> rowCount() == 0) {
err('Тем ещё нет!');
} else {
while($a = $sql->fetch()) {
$us_mess = DB::$dbs->queryFetch("SELECT user_id,tid FROM forum_mess WHERE tid = ? ORDER BY time DESC LIMIT $start,$num", [$a['id']]);
$k_mess = DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_mess WHERE tid = ?", [$a['id']]);
if ($k_mess > 10) {
$pg = ceil($k_mess / 10);
$st = ' <a href="/forum/thema'.$a['id'].'?page='.$pg.'">>></a>';
} else {
$st = '';
}
echo '<div class="list-group-item media"><i class="zmdi zmdi-comments"></i>  <a href="/forum/thema'.$a['id'].'"> '.$a['name'].' ('.$k_mess.') '.nick($us_mess['user_id']).' '.$st.'</a></div>';
}
}
} else {
$look = DB::$dbs -> querySingle("SELECT COUNT(id) FROM forum_mess WHERE text LIKE '%$text%'");
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM forum_mess WHERE text LIKE '%$text%' ORDER BY time ".$ord." LIMIT $start,$num", [$id]);
if ($sql -> rowCount() == 0) {
err('Пусто');
} else {
while($a = $sql->fetch()) {
$rid = DB::$dbs->queryFetch("SELECT name,id FROM forum_razdel WHERE id = ? LIMIT 1", [$a['rid']]);
$prid = DB::$dbs->queryFetch("SELECT name,id FROM forum_prazdel WHERE id = ? LIMIT 1", [$a['prid']]);
$topic = DB::$dbs->queryFetch("SELECT name,id FROM forum_topic WHERE id = ? LIMIT 1", [$a['tid']]);
$k_mess = DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_mess WHERE tid = ?", [$topic['id']]);
if ($k_mess > 10) {
$pg = ceil($k_mess / 10);
$st = ' <a href="/forum/thema'.$a['tid'].'?page='.$pg.'">>></a>';
} else {
$st = '';
}
echo '<div class="list-group-item media"><a href="/forum/viewrazd.php?id='.$rid['id'].'"><i class="zmdi zmdi-comments"></i> '.$rid['name'].'</a> > <a href="/forum/viewthem.php?id='.$prid['id'].'">'.$prid['name'].'</a> > <a href="/forum/thema'.$topic['id'].'"> '.$topic['name'].'</a> ['.$k_mess.']<br/>'.Nick($a['user_id']).' ('.vr($a['time']).')<br/> '.text($a['text']).'</a></div>';
}
}
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-format-list-bulleted"></i>  <a href="/rules"style="text-decoration:none; color:white;">Правила</a> | <a href="/bbcodes"style="text-decoration:none; color:white;"> Справка BBcode</a> | <a href="/smiles"style="text-decoration:none; color:white;">Все смайлы</a> | <a href="search"style="text-decoration:none; color:white;">Поиск</a></div></div></div>'; 
if ($k_page > 1) {
str('?zx=1&search&amp;',$k_page,$page);
}
}
$title->GetMenu();
$title->GetFooter();
?>